/**
 * $Id: GuardInitialization.java,v 1.1 2008/11/23 21:42:04 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 23.11.2008 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.annotation;

/**
 * If your static initialization fails and you get a NoClassDefFoundError
 * use ths anntoation. Together with the InitializationAspect it will skip
 * the errornous parts of the initialisation and log the errors.
 * 
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 23.11.2008
 * @version $Revision: 1.1 $
 */
public @interface GuardInitialization {

}

/**
 * $Log: GuardInitialization.java,v $
 * Revision 1.1  2008/11/23 21:42:04  oboehm
 * static initialization can now be protected
 * by @GuradInitialization annotation
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/annotation/GuardInitialization.java,v $
 */
